{
  dns,
  lib,
  ...
}:
with lib;
{
  options.machine.bind = {
    enable = mkEnableOption "Bind Server";
    domain = mkOption {
      type = types.str;
      description = "Domain name";
    };
    port = mkOption {
      type = types.port;
      default = 53;
      description = "Port to listen on.";
    };
    zones = mkOption {
      type = types.attrsOf dns.lib.types.zone;
      default = { };
      description = "DNS zones";
    };
  };
}
